/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.model;

import java.io.Serializable;

/**
 *
 * @author Imam Bhoim
 */
public class AkunResiprokal implements Serializable{
    
    int id;
    int kdlevel1;
    int kdlevel2;
    int kdlevel3;
    String kdlevel4;
    String kdlevel5;
    String namaakun;
    
    int header_id_resipro;
    String namaheaderresip;
    
    String dk;
    int id_kategori_pemda;
    String namakatpemda;
    
    private int idbas;
    
    int id_jenistransfer;
    String nama_jenistransfer;
    int id_jenislaporan;
    String nama_jenislaporan;
    int opsinilai;
    String namaopsinilai;

    // tambahan rian
    private String flag;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getKdlevel1() {
        return kdlevel1;
    }

    public void setKdlevel1(int kdlevel1) {
        this.kdlevel1 = kdlevel1;
    }

    public int getKdlevel2() {
        return kdlevel2;
    }

    public void setKdlevel2(int kdlevel2) {
        this.kdlevel2 = kdlevel2;
    }

    public int getKdlevel3() {
        return kdlevel3;
    }

    public void setKdlevel3(int kdlevel3) {
        this.kdlevel3 = kdlevel3;
    }

    public String getKdlevel4() {
        return kdlevel4;
    }

    public void setKdlevel4(String kdlevel4) {
        this.kdlevel4 = kdlevel4;
    }

    public String getKdlevel5() {
        return kdlevel5;
    }

    public void setKdlevel5(String kdlevel5) {
        this.kdlevel5 = kdlevel5;
    }

    public int getHeader_id_resipro() {
        return header_id_resipro;
    }

    public void setHeader_id_resipro(int header_id_resipro) {
        this.header_id_resipro = header_id_resipro;
    }

    public String getDk() {
        return dk;
    }

    public void setDk(String dk) {
        this.dk = dk;
    }

    public int getId_kategori_pemda() {
        return id_kategori_pemda;
    }

    public void setId_kategori_pemda(int id_kategori_pemda) {
        this.id_kategori_pemda = id_kategori_pemda;
    }

    public String getNamaakun() {
        return namaakun;
    }

    public void setNamaakun(String namaakun) {
        this.namaakun = namaakun;
    }

    public String getNamakatpemda() {
        return namakatpemda;
    }

    public void setNamakatpemda(String namakatpemda) {
        this.namakatpemda = namakatpemda;
    }

    public String getNamaheaderresip() {
        return namaheaderresip;
    }

    public void setNamaheaderresip(String namaheaderresip) {
        this.namaheaderresip = namaheaderresip;
    }

    public int getIdbas() {
        return idbas;
    }

    public void setIdbas(int idbas) {
        this.idbas = idbas;
    }

    public int getId_jenistransfer() {
        return id_jenistransfer;
    }

    public void setId_jenistransfer(int id_jenistransfer) {
        this.id_jenistransfer = id_jenistransfer;
    }

    public String getNama_jenistransfer() {
        return nama_jenistransfer;
    }

    public void setNama_jenistransfer(String nama_jenistransfer) {
        this.nama_jenistransfer = nama_jenistransfer;
    }

    public int getId_jenislaporan() {
        return id_jenislaporan;
    }

    public void setId_jenislaporan(int id_jenislaporan) {
        this.id_jenislaporan = id_jenislaporan;
    }

    public String getNama_jenislaporan() {
        return nama_jenislaporan;
    }

    public void setNama_jenislaporan(String nama_jenislaporan) {
        this.nama_jenislaporan = nama_jenislaporan;
    }

    public int getOpsinilai() {
        return opsinilai;
    }

    public void setOpsinilai(int opsinilai) {
        this.opsinilai = opsinilai;
    }

    public String getNamaopsinilai() {
        return namaopsinilai;
    }

    public void setNamaopsinilai(String namaopsinilai) {
        this.namaopsinilai = namaopsinilai;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }
    
     public String statusProses(){
        if (this.getFlag().equalsIgnoreCase("8")) {
            return "Manual";
        } else {
            return "Proses";
        }

    }
            
}
